Package org.eclipse.rdf4j.model.base

## Enum CoreDatatype.GEO

- java.lang.Object
- - java.lang.Enum<CoreDatatype.GEO>
  - - org.eclipse.rdf4j.model.base.CoreDatatype.GEO

- All Implemented Interfaces:
    `Serializable`, `Comparable<CoreDatatype.GEO>`, `CoreDatatype`
  Enclosing interface:
    CoreDatatype

      public static enum CoreDatatype.GEO
      extends Enum<CoreDatatype.GEO>
      implements CoreDatatype

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.rdf4j.model.base.CoreDatatype

      `CoreDatatype.GEO, CoreDatatype.RDF, CoreDatatype.XSD`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `WKT_LITERAL` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `NAMESPACE` |

    - ### Fields inherited from interface org.eclipse.rdf4j.model.base.CoreDatatype

      `NONE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Optional<CoreDatatype.GEO>` | `asGEODatatype()` |
    `IRI` | `getIri()` |
    `boolean` | `isGEODatatype()` |
    `String` | `toString()` |
    `static CoreDatatype.GEO` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static CoreDatatype.GEO[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.base.CoreDatatype

      `asRDFDatatype, asXSDDatatype, isRDFDatatype, isXSDDatatype`

- - ### Enum Constant Detail

    - #### WKT_LITERAL

          public static final CoreDatatype.GEO WKT_LITERAL

  - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static CoreDatatype.GEO[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CoreDatatype.GEO c : CoreDatatype.GEO.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CoreDatatype.GEO valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isGEODatatype

          public boolean isGEODatatype()

      Specified by:
        `isGEODatatype` in interface `CoreDatatype`

    - #### getIri

          public IRI getIri()

      Specified by:
        `getIri` in interface `CoreDatatype`

    - #### asGEODatatype

          public Optional<CoreDatatype.GEO> asGEODatatype()

      Specified by:
        `asGEODatatype` in interface `CoreDatatype`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<CoreDatatype.GEO>`